% CSTR model
function xa_dot=cstr(t,xa,xa_in)

% Mole fractions (1 = xa + xb)
xb = 1-xa;

% Parameters:
% Volumetric Flowrate (m^3/sec)
q = 1;
% Volume of CSTR (m^3)
V = 1;
% Reaction kinetics
k1 = 0.5;
k2 = 0.2;

% Compute d(xa)/dt
xa_dot(1,1) = (q/V*(xa_in - xa)) + k1*xa*xb - k2 * xa^2;
